# $Id: smeserver-nag.spec,v 1.10 2010/05/11 03:13:35 mrjhb3 Exp $
# Authority: mrjhb3
# Name: John H. Bennett III

Summary: SME Server specific Nag configuration and templates.
%define name smeserver-nag
Name: %{name}
%define version 2.2
%define release 7
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch1: nag_2.3.patch
Patch2: nag_2.3.sql.patch
Patch3: nag_2.3.2.patch
Patch4: nag_2.3.3.patch
Patch5: nag_2.3.4.patch
Patch6: nag_2.3.5.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: imp-h3 >= 4.2
Requires: e-smith-base >= 4.15.1
Requires: e-smith-apache >= 1.1.0-18
Requires: e-smith-lib >= 1.15.1-16
Requires: nag-h3 >= 2.2
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no
Obsoletes: dcb-e-smith-nag

%changelog
* Mon May 10 2010 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-7
- Updated templates to reflect Nag 2.3.5

* Mon Dec 28 2009 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-6          
- Updated templates to reflect Nag 2.3.4

* Sat Oct 10 2009 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-5
- Updated templates to reflect Nag 2.3.3

* Wed Jun 17 2009 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-4
- Updated templates to reflect Nag 2.3.2

* Tue Sep 30 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-3
- Patch to add forgotten changes from nag upgrade sql script

* Mon Sep 29 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-2
- Updated templates to reflect Nag 2.3

* Tue Jun 24 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-1    
- Initial production build
- Jump in package name to reflect new version of Nag 2.2

* Sat May 24 2008 John H. Bennett III <bennettj@johnbennettservices.com> 0.2-1
- Updated to include changes in Nag 2.2 RC3
- Re-rolled tarball 

* Sun Apr 6 2008 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-1
- Initial build
- Jump in package name to reflect new version of Nag

%description
This package adds necessary templates and configuration items
so that Nag will work properly on SME Server

%prep
%setup

%patch1 -p1 
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
